gi-gio-2.0.19: Gio bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Gio.Structs.DBusErrorEntry

Contents

- Exported types
- Properties
  - dbusErrorName
  - errorCode

Description

Struct used in `dbusErrorRegisterErrorDomain`.

Since: 2.26

Synopsis

- newtype DBusErrorEntry = DBusErrorEntry (ManagedPtr DBusErrorEntry)
- newZeroDBusErrorEntry :: MonadIO m => m DBusErrorEntry
- noDBusErrorEntry :: Maybe DBusErrorEntry
- clearDBusErrorEntryDbusErrorName :: MonadIO m => DBusErrorEntry -> m ()
- getDBusErrorEntryDbusErrorName :: MonadIO m => DBusErrorEntry -> m (Maybe Text)
- setDBusErrorEntryDbusErrorName :: MonadIO m => DBusErrorEntry -> CString -> m ()
- getDBusErrorEntryErrorCode :: MonadIO m => DBusErrorEntry -> m Int32
- setDBusErrorEntryErrorCode :: MonadIO m => DBusErrorEntry -> Int32 -> m ()

# Exported types

newtype DBusErrorEntry Source #

Memory-managed wrapper type.

Constructors

DBusErrorEntry (ManagedPtr DBusErrorEntry) |

Instances

WrappedPtr DBusErrorEntry Source # |
Instance details Defined in GI.Gio.Structs.DBusErrorEntry Methods wrappedPtrCalloc :: IO (Ptr DBusErrorEntry) Source # wrappedPtrCopy :: DBusErrorEntry -> IO DBusErrorEntry Source # wrappedPtrFree :: Maybe (FunPtr (Ptr DBusErrorEntry -> IO ())) Source #
tag ~ AttrSet => Constructible DBusErrorEntry tag Source # |
Instance details Defined in GI.Gio.Structs.DBusErrorEntry Methods new :: MonadIO m => (ManagedPtr DBusErrorEntry -> DBusErrorEntry) -> [AttrOp DBusErrorEntry tag] -> m DBusErrorEntry Source #

newZeroDBusErrorEntry :: MonadIO m => m DBusErrorEntry Source #

Construct a `DBusErrorEntry` struct initialized to zero.

noDBusErrorEntry :: Maybe DBusErrorEntry Source #

A convenience alias for `Nothing` :: `Maybe` `DBusErrorEntry`.

# Properties

## dbusErrorName

The D-Bus error name to associate with `errorCode`.

clearDBusErrorEntryDbusErrorName :: MonadIO m => DBusErrorEntry -> m () Source #

Set the value of the “`dbus_error_name`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #dbusErrorName

getDBusErrorEntryDbusErrorName :: MonadIO m => DBusErrorEntry -> m (Maybe Text) Source #

Get the value of the “`dbus_error_name`” field. When overloading is enabled, this is equivalent to

    get dBusErrorEntry #dbusErrorName

setDBusErrorEntryDbusErrorName :: MonadIO m => DBusErrorEntry -> CString -> m () Source #

Set the value of the “`dbus_error_name`” field. When overloading is enabled, this is equivalent to

    set dBusErrorEntry [ #dbusErrorName := value ]

## errorCode

An error code.

getDBusErrorEntryErrorCode :: MonadIO m => DBusErrorEntry -> m Int32 Source #

Get the value of the “`error_code`” field. When overloading is enabled, this is equivalent to

    get dBusErrorEntry #errorCode

setDBusErrorEntryErrorCode :: MonadIO m => DBusErrorEntry -> Int32 -> m () Source #

Set the value of the “`error_code`” field. When overloading is enabled, this is equivalent to

    set dBusErrorEntry [ #errorCode := value ]